This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 353091 - NetworkManager-0.7.0-0.3.svn3020.fc8 crashes when trying to switch to wireless Network
NetworkManager-0.7.0-0.3.svn3020.fc8 crashes when trying to switch to wireles...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
i386 Linux
high Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: NM07Tracker
  Show dependency treegraph
 
Reported: 2007-10-25 15:31 EDT by Nicolas A. Corrarello
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 10:42:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
sysreport (364.43 KB, application/x-bzip)
2007-10-25 15:31 EDT, Nicolas A. Corrarello
no flags Details
gdb 'bt full' from nm-applet (6.12 KB, text/plain)
2007-10-25 16:36 EDT, Will Woods
no flags Details
backtrace from nm-applet in 4.svn3020.fc8 (4.00 KB, text/plain)
2007-10-26 12:14 EDT, Will Woods
no flags Details

  None (edit)
Description Nicolas A. Corrarello 2007-10-25 15:31:43 EDT
Description of problem:
Without leaving a core file (with ulimit -c unlimited), it crashes when
switching from Wired to Wireless Network. I'm unable to see again the applet
even after restarting the daemon (with service NetworkManager restart)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Nicolas A. Corrarello 2007-10-25 15:31:43 EDT
Created attachment 237871 [details]
sysreport
Comment 2 Will Woods 2007-10-25 16:35:57 EDT
Reproduced here on a ppc - probably has to do with keyring access?

The backtrace is fairly long and goes through
applet_dbus_connection_settings_get_secrets, connection_new_secrets_requested_cb, 
applet_settings_new_secrets_requested_cb, nma_wireless_dialog_new,
security_combo_init, and finally crashes in strcmp.

'bt full' will be attached.

Comment 3 Will Woods 2007-10-25 16:36:31 EDT
Created attachment 237961 [details]
gdb 'bt full' from nm-applet
Comment 4 Dan Williams 2007-10-25 17:58:15 EDT
Will be fixed in next build.  Wasn't checking value of auth_alg before
strcmp()-ing it.  It's allowed to be NULL for wireless connections with no
encryption.
Comment 5 Will Woods 2007-10-26 12:14:28 EDT
Created attachment 239291 [details]
backtrace from nm-applet in 4.svn3020.fc8
Comment 6 Will Woods 2007-10-26 12:44:54 EDT
so, yeah, not fixed in NetworkManager-0.7.0-0.4.svn3020.fc8. alas.
Comment 7 Dan Williams 2007-10-26 13:06:42 EDT
found and will be fixed in next build
Comment 8 Dan Williams 2007-10-26 23:16:50 EDT
please try svn3030 or later when they hit
Comment 9 Jeremy Katz 2007-10-29 10:42:45 EDT
Just switched back and forth a few times with today's rawhide image (which has
3030) with no problems

Note You need to log in before you can comment on or make changes to this bug.